QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

!win32 {
TARGET = QTLinmWMeter
}
win32 {
TARGET = QTWinmWMeter
}

SOURCES += \
    main.cpp \
    mainwindow.cpp

!win32 {
     SOURCES += lin_modem.cpp
}
win32 {
     SOURCES += win_modem.cpp
}

HEADERS += \
    mainwindow.h \
    konstdef.h

!win32 {
     HEADERS += lin_modem.h
}
win32 {
     HEADERS += win_modem.h
}

!win32 {
target.path = /usr/local/bin/
icon.path = /usr/share/pixmaps/
icon.files = images/minimwmeter.png

INSTALLS += target
INSTALLS += icon
}

FORMS += \
    mainwindow.ui

TRANSLATIONS += \
    qt_mini_mw_meter_en_150.ts
CONFIG += lrelease
CONFIG += embed_translations

RESOURCES += \
  icon.qrc
